package admin

import (
	"net/http"
)

func SetupRouter(c Config) (mux *http.ServeMux) {

	r := http.NewServeMux()
	r.Handle("/", c.pb)
	c.lb.Mount(r)

	mux = http.NewServeMux()
	mux.Handle("/", c.lb.Middleware()(r))

	return
}
